Subject: bug#31498: [PATCH] Notify systemd in daemon-initialized and kill-emacs

From: Noam Postavsky <[email-masked]>
Date: Sat, 09 Jun 2018 08:36:02 -0400

Noam Postavsky <[email-masked]> writes:

> Lucas Werkmeister <[email-masked]> writes:
>
>> * etc/emacs.service: Update Type.
>> * src/emacs.c (daemon-initialized): Call sd_notify().
>> * src/emacs.c (kill-emacs): Call sd_notify().

Oops, hit send too early.  I wanted to add, that you don't need to
repeat the same message for the last two ChangeLog entries, and you
should use the "Conditional Changes" syntax [1], like so:

* src/emacs.c (daemon-initialized) [HAVE_LIBSYSTEMD]:
* src/emacs.c (kill-emacs) [HAVE_LIBSYSTEMD]: Call sd_notify().

[1]: https://www.gnu.org/prep/standards/html_node/Conditional-Changes.html

PS I was wrong about 'git send-email' being just as good as replying
with attachment.  The bug tracker adds a "bug#xxxxx:" prefix, so I end
up getting duplicate emails.  Next time someone asks I'll know what to
answer :)